org.eclipse.eef.properties.ui.api

## Class AbstractEEFTabbedPropertySheetPageContributorWrapper

- java.lang.Object
- - org.eclipse.eef.properties.ui.api.AbstractEEFTabbedPropertySheetPageContributorWrapper

All Implemented Interfaces:
  IEEFTabbedPropertySheetPageContributor

    public abstract class AbstractEEFTabbedPropertySheetPageContributorWrapper
    extends java.lang.Object
    implements IEEFTabbedPropertySheetPageContributor

Wrapper for contributors who want to use this version of the framework but can not have a hard dependency (via inheritance) towards IEEFTabbedPropertySheetPageContributor.

### Field Summary

Fields
`protected java.lang.String` `contributorId` The contributor id.
`protected java.lang.Object` `realContributor` The original contributor object.

### Constructor Summary

Constructors
Constructor and Description
`AbstractEEFTabbedPropertySheetPageContributorWrapper(java.lang.Object realContributor, java.lang.String contributorId)` Creates a wrapper.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getContributorId()` Returns the contributor ID for the tabbed property sheet page.
`java.lang.Object` `getRealContributor()` Return the original (wrapped) Contributor.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.eef.properties.ui.api.IEEFTabbedPropertySheetPageContributor

`updateFormTitle`

### Field Detail

#### realContributor

    protected final java.lang.Object realContributor

The original contributor object.

#### contributorId

    protected final java.lang.String contributorId

The contributor id.

### Constructor Detail

#### AbstractEEFTabbedPropertySheetPageContributorWrapper

    public AbstractEEFTabbedPropertySheetPageContributorWrapper(java.lang.Object realContributor,
                                                                java.lang.String contributorId)

Creates a wrapper.

Parameters:
  `realContributor` - the original contributor object.
  `contributorId` - the contributor id.

### Method Detail

#### getContributorId

    public java.lang.String getContributorId()

Description copied from interface: `IEEFTabbedPropertySheetPageContributor`
Returns the contributor ID for the tabbed property sheet page.

Specified by:
  `getContributorId` in interface `IEEFTabbedPropertySheetPageContributor`
Returns:
  the contributor ID for the tabbed property sheet page.

#### getRealContributor

    public java.lang.Object getRealContributor()

Return the original (wrapped) Contributor.

Returns:
  the original (wrapped) Contributor.